/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Productosucursal;
import com.cosmodas.EntCosmos.VDiferencias;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 * AbstractFacade<Actualimperia> implements ActualimperiaFacadeLocal
 *
 * @author obper
 */
@Stateless
public class daoProSuc implements daoProSucLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    EntityManager em;

    @Override
    public List<Productosucursal> findAll() {
        return em.createNamedQuery("Productosucursal.findAll").getResultList();
    }

    /**
     * @param SucursalCodigo
     * @return
     */
    @Override
    public List<Productosucursal> sucursalPorCodigo(String SucursalCodigo) {
        javax.persistence.Query Consulta = em.createNamedQuery("Productosucursal.findBySucursalCodigo");
        Consulta.setParameter("sucursalCodigo", SucursalCodigo);
        List<Productosucursal> listas;
        listas = Consulta.getResultList();
        //em.createNamedQuery("ProductosZonas.findByProductoCodigo").getResultList();
        return listas;
    }

    @Override
    public void update(Productosucursal obj) {
        em.merge(obj);
    }

    @Override
    public List<VDiferencias> getDiferencias(String sucursalCodigo) {
        javax.persistence.Query Consulta = em.createNamedQuery("VDiferencias.Dsalas");
        Consulta.setParameter("sucursalCodigo", sucursalCodigo);
        List<VDiferencias> listas;
        listas = Consulta.getResultList();
        return listas;
    }


}
